Selection must be WSDL

Selection must be WSDL

If you are creating web service using JAX-WS and run time environment Apache CXF in eclipse and see error “Selection must be WSDL” means it’s an issue with Apache CXF. As I did test on two version:

  • apache-cxf-3.0.0-milestone2 – Gives an error “Selection must be WSDL”
  • apache-cxf-2.7.11 – Pass without any issue

This seems to be bug with Apache latest CXF 3.0 release version. Please downgrade your CXF to old version to fix this issue to develop your web service or check with Apache CXF forum if any fix is available.

Selection must be WSDL

 

 

 

Leave a Reply

Your email address will not be published. Required fields are marked *

I am not Robot *